Get Question Breakdowns

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description

This endpoint returns the breakdown of all choices for each individual question in the survey. The user requests question score breakdowns for individual questions in the survey (not aspects) and receives a breakdown of the choice answers to each question, including the question text. The score in the response refers to the percentage of responses for a specific choice answer.
Question scores can be filtered by: Geographical division  AND/OR Demographics (Age, Ethnicity, Gender, Education, Income).

The start_date and end_data params are required. These dates need to align with the cycle dates that are retrieved through the Get Cycles endpoint. The survey_group param is also required and should be retrieved through the Get Survey Groups endpoint.

Sample sizes are addressed in the "score_description" field. In the Zencity dashboard, we do not display scores that are based on samples that are smaller than 30 respondents. When requesting data through the Get Aspects request, the response will not return scores that are based on a sample size lower than 30. The API response under "score description" will return the following value: "No score". When scores are based on a sample size of 30 to 49 responses, the API response under "score description" will return the following value: "Based on a small sample size". A "Representative" response in the "score_description" field means that the score was based on a N>49 sample.


Query Params
date
required

Filtering by the submitted_at of a Submission (>=)

date
required

Filtering by the submitted_at of a Submission. (<=).

int32

Represents the identifier of a Divisions to filter by.

ageGroupId
array of int32s

Represents the identifier(s) of age group choice(s) to filter by

ageGroupId
educationId
array of int32s

Represents the identifier(s) of education choice(s) to filter by.

educationId
incomeId
array of int32s

Represents the identifier(s) of income choice(s) to filter by.

incomeId
genderId
array of int32s

Represents the identifier(s) of gender choice(s) to filter by.

genderId
ethnicityId
array of int32s

Represents the identifier(s) of ethnicity choice(s) to filter by.

ethnicityId
string

Represents the identifier of a Survey Group (know your survey group first)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json